Bug 300480 - The hot key for Grow Selection is not remembered after restart Krita.
Summary: The hot key for Grow Selection is not remembered after restart Krita.
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: 2.4
Platform: Debian unstable Linux
: NOR minor
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-23 04:28 UTC by yustas
Modified: 2012-06-03 12:49 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Here is the requested file (5.55 KB, application/octet-stream)
2012-05-30 08:27 UTC, yustas
Details
and the next one (10.33 KB, application/octet-stream)
2012-05-30 08:30 UTC, yustas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description yustas 2012-05-23 04:28:06 UTC

    
Comment 1 Halla Rempt 2012-05-26 08:05:42 UTC
Weird, that works fine here. Can you attach the following files:

.kde/share/apps/krita/krita.rc

and

.kde/share/config/kritarc

? Maybe I can discover some issue in there. Did you compile yourself?
Comment 2 yustas 2012-05-26 09:07:11 UTC
O.k., but I can do that at the next week. Sorry for my English.
Comment 3 yustas 2012-05-30 08:27:57 UTC
Created attachment 71436 [details]
Here is the requested file
Comment 4 yustas 2012-05-30 08:30:29 UTC
Created attachment 71437 [details]
and the next one
Comment 5 Halla Rempt 2012-06-03 11:25:28 UTC
Got it... 

krita(27792)/kdeui (kdelibs): Could not write to "/home/boud/kde/lcms2/share/apps/kritaplugins/modify_selection.rc" 

It worked for me because I have a local development install where the rc file it tries to write the shortcuts to is writable. I don't understand _why_ it tries to write there instead of in the user's settings directory.
Comment 6 Halla Rempt 2012-06-03 12:49:36 UTC
Git commit 32796276b6f036f63f2247eb19e1bf5b643e2f00 by Boudewijn Rempt.
Committed on 03/06/2012 at 14:46.
Pushed by rempt into branch 'master'.

Save the shortcuts in the krita.rc file

This has two advantages:

* krita now can remember the shortcuts of the user even if they install
a new version of krita with a higher kritarc version number
* for plugins, where kde tries to save the shortcuts to the installed rc
file (like /usr/share/apps/kritaplugins/modify_selection.rc) instead of
in a .kde rc file, we save and restore the shortcuts correctly.

Disadvantate: KDE natters on startup that setShortcut is used on a QAction
that's a KAction.

M  +18   -2    krita/ui/kis_view2.cpp

http://commits.kde.org/calligra/32796276b6f036f63f2247eb19e1bf5b643e2f00